
Redmine - Patch #18191

Update time zones for Russia once again

2014-10-24 22:21 - Ilya Demenkov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Description

Starting October 26, 2014 Russia is changing its time zones again. All of Russia will move back one hour, except:

Udmurtia and Samara Oblast will remain on UTC+04:00 (thus reinstating Samara Time)

Kemerovo Oblast will remain on UTC+07:00

Zabaykalsky Krai will move back two hours to UTC+08:00

Magadan Oblast will move back two hours to UTC+10:00

Chukotka Autonomous Okrug and Kamchatka Krai will remain on UTC+12:00 (thus reinstating Kamchatka Time)

For example, Moscow will move from UTC+4 back to UTC+3 it used before 2011.

Annual DST changes will not be observed. Further information availble at http://en.wikipedia.org/wiki/Time_in_Russia

Please release a patch to update time zones and please include it to the next version.

History

#1 - 2014-10-24 22:23 - Ilya Demenkov

See also: Defect #10808; Defect #9801

#2 - 2014-10-24 23:26 - Jean-Philippe Lang

- Category set to Gems support

- Status changed from New to Closed

Time zones are handled by the tzinfo and tzinfo-data gems:

https://github.com/tzinfo/tzinfo-data/releases

You should either install or update the tzinfo-data gem to get the latest updates.
